Bug 849624 - [abrt] gnome-shell-3.4.1-5.fc17: g_hash_table_remove_all: Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
[abrt] gnome-shell-3.4.1-5.fc17: g_hash_table_remove_all: Process /usr/bin/gn...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:52465b58aa45c3613d2dec46e6c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-20 07:36 EDT by Andrey Parri
Modified: 2013-08-01 02:59 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:59:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (69.68 KB, text/plain)
2012-08-20 07:36 EDT, Andrey Parri
no flags Details
File: maps (92.46 KB, text/plain)
2012-08-20 07:36 EDT, Andrey Parri
no flags Details
File: dso_list (22.92 KB, text/plain)
2012-08-20 07:36 EDT, Andrey Parri
no flags Details

  None (edit)
Description Andrey Parri 2012-08-20 07:36:12 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_hash_table_remove_all
executable:     /usr/bin/gnome-shell
kernel:         3.5.2-1.fc17.x86_64
pid:            1722
pwd:            /home/andrey
remote_result:  NOTFOUND
time:           Пн. 20 авг. 2012 18:17:21
uid:            1000
username:       andrey

backtrace:      Text file, 71350 bytes
dso_list:       Text file, 23475 bytes
maps:           Text file, 94676 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/andrey/3

core_backtrace:
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x380b0 g_hash_table_remove_all libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x3812e g_hash_table_destroy libglib-2.0.so.0 -
:a553a7e9625a224a8f39286909adc17787ad51bd 0x172ec - libgvfsdbus.so -
:6086bff484a49cc8b80cb714d7e83a6391394800 0x7b12 __nptl_deallocate_tsd libpthread.so.0 -
:6086bff484a49cc8b80cb714d7e83a6391394800 0x7d22 start_thread libpthread.so.0 -
:ebc779125d37b2b0595730b6d78d477fe7b6bc53 0xf167d clone libc.so.6 -

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=3
:HOSTNAME=parri
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/andrey/keyring-8qtPga
:'IMSETTINGS_MODULE=X compose table'
:USER=andrey
:USERNAME=andrey
:MAIL=/var/spool/mail/andrey
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/andrey/.local/bin:/home/andrey/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/andrey
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1518
:LANG=ru_RU.utf8
:GDM_LANG=ru_RU.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/andrey
:SHLVL=1
:LOGNAME=andrey
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-2zsiWPgYMX,guid=1857c99a4cd8289f610f5d020000003d
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/andrey
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-andrey-8tQUWV/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1522,unix/unix:/tmp/.ICE-unix/1522
:SSH_AUTH_SOCK=/run/user/andrey/keyring-8qtPga/ssh
:GPG_AGENT_INFO=/run/user/andrey/keyring-8qtPga/gpg:0:1
:DESKTOP_AUTOSTART_ID=102494210126aa2169134545777251587300000015220000

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 19885                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       19885                19885                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/andrey/.xsession-errors
:pos:	19773
:flags:	0102002
:2:/home/andrey/.xsession-errors
:pos:	19773
:flags:	0102002
:3:pipe:[21647]
:pos:	0
:flags:	04000
:4:pipe:[21647]
:pos:	0
:flags:	01
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[21648]
:pos:	0
:flags:	02004002
:7:socket:[21651]
:pos:	0
:flags:	02004002
:8:/dev/nvidiactl
:pos:	0
:flags:	02100002
:9:/dev/nvidia0
:pos:	0
:flags:	02100002
:10:/dev/nvidia0
:pos:	0
:flags:	02100002
:11:/dev/nvidia0
:pos:	0
:flags:	02100002
:12:/dev/nvidia0
:pos:	0
:flags:	02100002
:13:/home/andrey/.nv/GLCache/3ee6b45f164e77df378177bcf3ad2e9d/3b15eb0bea075014/c6eb5423ccd49d57.toc
:pos:	724
:flags:	02100002
:14:/home/andrey/.nv/GLCache/3ee6b45f164e77df378177bcf3ad2e9d/3b15eb0bea075014/c6eb5423ccd49d57.bin
:pos:	10485
:flags:	02100002
:15:socket:[21653]
:pos:	0
:flags:	02004002
:16:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:17:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:18:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:19:socket:[20539]
:pos:	0
:flags:	02004002
:20:pipe:[20541]
:pos:	0
:flags:	02004000
:21:pipe:[20541]
:pos:	0
:flags:	02004001
:22:socket:[20544]
:pos:	0
:flags:	02004002
:23:socket:[20545]
:pos:	0
:flags:	02000002
:24:/dev/urandom
:pos:	0
:flags:	02100000
:25:socket:[20881]
:pos:	0
:flags:	02000002
:26:anon_inode:inotify
:pos:	0
:flags:	02004000
:27:/tmp/ffihUesQe (deleted)
:pos:	0
:flags:	0100002
:28:socket:[20897]
:pos:	0
:flags:	02004002
:29:socket:[20898]
:pos:	0
:flags:	02004002
:30:socket:[22191]
:pos:	0
:flags:	02004002
:31:socket:[22193]
:pos:	0
:flags:	02004002
:32:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:33:pipe:[20945]
:pos:	0
:flags:	02004000
:34:pipe:[22137]
:pos:	0
:flags:	01
:35:/dev/rfkill
:pos:	0
:flags:	0104002
:36:socket:[20935]
:pos:	0
:flags:	02004002
:37:pipe:[20945]
:pos:	0
:flags:	02004001
:38:socket:[20948]
:pos:	0
:flags:	02004002
:39:/home/andrey/.cache/event-sound-cache.tdb.297e3acd134c33dfc7c5e1590000000a.x86_64-redhat-linux-gnu
:pos:	168
:flags:	02100002
:40:socket:[22206]
:pos:	0
:flags:	02004002
:41:anon_inode:inotify
:pos:	0
:flags:	02004000
:42:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:43:socket:[23134]
:pos:	0
:flags:	02004002
:44:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:45:socket:[23135]
:pos:	0
:flags:	02004002
:46:socket:[35335]
:pos:	0
:flags:	02004002
:47:socket:[38216]
:pos:	0
:flags:	02004002

var_log_messages:
:Aug 20 10:15:13 parri gnome-session[828]: DEBUG(+): fill: *** Launching helper 'bash -c 'gnome-shell --help | grep -q gdm-mode && /usr/libexec/gnome-session-check-accelerated'' to know if session is runnable
:Aug 20 10:15:14 parri gnome-session[828]: DEBUG(+): GsmUtil: Looking for file 'gnome-shell.desktop'
:Aug 20 10:15:14 parri gnome-session[828]: DEBUG(+): GsmUtil: found in XDG dirs: '/usr/share/gdm/greeter/applications/gnome-shell.desktop'
:Aug 20 10:15:14 parri gnome-session[828]: DEBUG(+): GsmUtil: Looking for file 'gnome-shell.desktop'
:Aug 20 10:15:14 parri gnome-session[828]: DEBUG(+): GsmUtil: found in XDG dirs: '/usr/share/gdm/greeter/applications/gnome-shell.desktop'
:Aug 20 10:15:14 parri gnome-session[828]: DEBUG(+): GsmManager: read /usr/share/gdm/greeter/applications/gnome-shell.desktop
:Aug 20 10:15:14 parri gnome-session[828]: DEBUG(+): GsmManager: adding required app gnome-shell.desktop
:Aug 20 10:15:14 parri gnome-session[828]: DEBUG(+): GsmManager:#011ID: /org/gnome/SessionManager/App1#011app-id:gnome-shell.desktop#011is-disabled:0#011is-conditionally-disabled:0
:Aug 20 10:15:16 parri gnome-session[828]: DEBUG(+): GsmAutostartApp: starting gnome-shell.desktop: command=gnome-shell --gdm-mode startup-id=103a5770f293492c5d134543251491825900000008280000
:Aug 20 10:15:16 parri gnome-session[828]: DEBUG(+): GsmXSMPClient:   Program = 'gnome-shell'
:Aug 20 10:15:26 parri gnome-session[828]: DEBUG(+): GsmXSMPClient: Client '0x14ed800 [gnome-shell 103a5770f293492c5d134543251491825900000008280000]' received SaveYourselfDone(success = True)
:Aug 20 10:15:26 parri gnome-session[828]: DEBUG(+): GsmXSMPClient: Client '0x14ed800 [gnome-shell 103a5770f293492c5d134543251491825900000008280000]' received SaveYourselfDone(success = True)
:Aug 20 10:15:26 parri gnome-session[828]: DEBUG(+): GsmXSMPClient: xsmp_stop ('0x14ed800 [gnome-shell 103a5770f293492c5d134543251491825900000008280000]')
:Aug 20 10:15:26 parri gnome-session[828]: DEBUG(+): GsmXSMPClient: Client '0x14ed800 [gnome-shell 103a5770f293492c5d134543251491825900000008280000]' received CloseConnection
:Aug 20 10:15:26 parri gnome-session[828]: DEBUG(+): GsmXSMPClient: xsmp_finalize (0x14ed800 [gnome-shell 103a5770f293492c5d134543251491825900000008280000])
:Aug 20 11:25:17 parri yum[1914]: Updated: gnome-shell-3.4.1-5.fc17.x86_64
:Aug 20 11:36:24 parri dbus-daemon[673]: dbus[673]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.55" (uid=1000 pid=1146 comm="/usr/bin/gnome-shell ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.0" (uid=0 pid=591 comm="/usr/sbin/bluetoothd -n ")
:Aug 20 11:36:24 parri dbus[673]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.55" (uid=1000 pid=1146 comm="/usr/bin/gnome-shell ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.0" (uid=0 pid=591 comm="/usr/sbin/bluetoothd -n ")
:Aug 20 18:17:25 parri abrt[3679]: Saved core dump of pid 1722 (/usr/bin/gnome-shell) to /var/spool/abrt/ccpp-2012-08-20-18:17:21-1722 (232902656 bytes)
:Aug 20 18:17:25 parri gnome-session[1522]: WARNING: Application 'gnome-shell.desktop' killed by signal 11

xsession_errors:
:(gnome-shell:1722): folks-WARNING **: Failed to find primary PersonaStore with type ID 'eds' and ID 'system'.
:gnome-session[1522]: WARNING: Application 'gnome-shell.desktop' killed by signal 11
:(gnome-shell:3681): folks-WARNING **: Failed to find primary PersonaStore with type ID 'eds' and ID 'system'.
Comment 1 Andrey Parri 2012-08-20 07:36:29 EDT
Created attachment 605680 [details]
File: backtrace
Comment 2 Andrey Parri 2012-08-20 07:36:35 EDT
Created attachment 605681 [details]
File: maps
Comment 3 Andrey Parri 2012-08-20 07:36:40 EDT
Created attachment 605682 [details]
File: dso_list
Comment 4 Antti Juhani Oja 2012-10-06 09:21:00 EDT
I was using VirtualBox to start Gnome 3, and upon using the availability menu to the top right, Gnome 3 shell crashed. I had just finished configuring my Google account, and as soon as I toggled myself Available, the shell crashed. This issue was not immediately reproducible.

backtrace_rating: 4
Package: gnome-shell-3.4.1-6.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Xi Yang 2012-10-09 00:31:13 EDT
1: I turned on "screen keyboard" from the accessiblity menu on the top of gnome shell.
2: The whole GUI stopped responding, then I killed gnome-shell from another text login.
3: The next time I login using Gnome3, it crashes immediately after login, and it always crashes until I recently "yum update" my whole system.


backtrace_rating: 4
Package: gnome-shell-3.4.1-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Fedora End Of Life 2013-07-03 21:56:07 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 02:59:54 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.